Bug 97340 - ethernet connection
ethernet connection
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
All Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-13 08:11 EDT by justin joseph
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:53:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description justin joseph 2003-06-13 08:11:32 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 653, in on_deviceActivateButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = str(hw.Card.__dict__
[selfkey])
KeyError: options

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 85ebcd8>
hw: <netconfpkg.HardwareList.Hardware instance at 8608400>
selfkey: IRQ
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 8514708>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 8351f30>
confkey: irq
self: [<netconfpkg.HardwareList.Hardware instance at 84f63c0>, 
<netconfpkg.HardwareList.Hardware instance at 8608400>]







How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2003-08-06 05:02:09 EDT
which version of redhat-config-network do you use? did you install the update?

Note You need to log in before you can comment on or make changes to this bug.